Skip to main content
GET
/
api
/
v1
/
projects
/
{id}
Get project
curl --request GET \
  --url https://api.raffcomputing.com/api/v1/projects/{id} \
  --header 'X-API-Key: <api-key>'
{
  "success": true,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "production",
    "slug": "production",
    "description": "<string>",
    "default_region": "us-east",
    "is_default": true,
    "is_active": true,
    "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

X-API-Key
string
header
required

API key for authentication. Each key is bound to a specific account.

Path Parameters

id
string<uuid>
required

Project ID (UUID)

Response

Project details

success
boolean
data
object